Loading...
Searching...
No Matches
Magick::resizeImage Class Reference

## Public Member Functions

| resizeImage (const Geometry &geometry_)
void | operator() (Image &image_) const

## Private Attributes

Geometry | _geometry

## Detailed Description

Definition at line 920 of file STL.h.

## Constructor & Destructor Documentation

## resizeImage()

Magick::resizeImage::resizeImage | ( | const Geometry & | geometry_ | ) |

Definition at line 1129 of file STL.cpp.

: _geometry( geometry_ )
{
}

## Member Function Documentation

## operator()()

void Magick::resizeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1133 of file STL.cpp.

{
image_.resize( _geometry );
}

## Field Documentation

## _geometry

Geometry Magick::resizeImage::_geometry

private

Definition at line 928 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp